## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global uuid argos@pew.worldwidemann.com

%global forgeurl https://github.com/p-e-w/argos
%global commit 13264042ae8b8a6f9f4778c623780e38e5d1cd89
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20250327

Name:           gnome-shell-extension-argos
Version:        3^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Create GNOME Shell extensions in seconds

License:        GPL-3.0-only
URL:            %{forgeurl}
Source:         %{url}/archive/%{commit}/argos-%{commit}.tar.gz#/argos-%{version}.tar.gz
# use xdg-terminal-exec rather than hardcoding which terminal to use
Patch:          https://patch-diff.githubusercontent.com/raw/p-e-w/argos/pull/170.patch#/argos-use-xdg-terminal-exec.diff

BuildArch:      noarch

%if 0%{?fedora} >= 42
BuildRequires:  gnome-shell-rpm-generators
%else
Requires:       (gnome-shell >= 45.0 with gnome-shell < 49.0)
%endif

Requires:       xdg-terminal-exec

%description
Most GNOME Shell extensions do one thing: Add a button with a dropdown menu to
the panel, displaying information and exposing functionality. Even in its
simplest form, creating such an extension is a nontrivial task involving a
poorly documented and ever-changing JavaScript API.

Argos lets you write GNOME Shell extensions in a language that every Linux user
is already intimately familiar with: Bash scripts.

More precisely, Argos is a GNOME Shell extension that turns executables'
standard output into panel dropdown menus. It is inspired by, and fully
compatible with, the BitBar app for macOS. Argos supports many BitBar plugins
without modifications, giving you access to a large library of well-tested
scripts in addition to being able to write your own.


%prep
%autosetup -n argos-%{commit} -p1


%build


%install
mkdir -p %{buildroot}/%{_datadir}/gnome-shell/extensions/
cp -pr %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions/


%files
# asked upstream to include license text:
# https://github.com/p-e-w/argos/pull/115
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/


%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3^20250327git1326404-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu May 29 2025 Michel Lind <salimma@fedoraproject.org> - 3^20250327git1326404-3
- Use xdg-terminal-exec rather than hardcoding which terminal to use

* Tue Apr 29 2025 Michel Lind <salimma@fedoraproject.org> - 3^20250327git1326404-2
- Correct upper version bound

* Tue Apr 29 2025 Michel Lind <salimma@fedoraproject.org> - 3^20250327git1326404-1
- Update argos for GNOME 48 support
- Fixes: RHBZ#2357678, RHBZ#2357692
- Enable dependency generator on Fedora 42+

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3^20240328gitbb59118-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Oct 25 2024 Michel Lind <salimma@fedoraproject.org> - 3^20240328gitbb59118-1
- Mark as compatible with GNOME 47; drop support for GNOME < 45

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3^20230404gite2d68ea-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Mar 28 2024 Michel Lind <salimma@fedoraproject.org> - 3^20230404gite2d68ea-6
- Add GNOME 46 support (rhbz#2272096)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3^20230404gite2d68ea-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3^20230404gite2d68ea-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 16 2023 Michel Lind <salimma@fedoraproject.org> - 3^20230404gite2d68ea-3
- Support GNOME 45 when built on relevant releases

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3^20230404gite2d68ea-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 3^20230404gite2d68ea-1
- Update to support GNOME 44
- convert license field to SPDX identifier

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3^20220712git1180568-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 30 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 3^20220712git1180568-1
- Mark this as compatible with GNOME 43

* Thu Aug 04 2022 silentmanww <silentmanww@gmail.com> - 3^20220711git028b229-1
- fix for GObject error due to GNOME shell 3-digit versions

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3^20211027git2eb03a7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 14 2022 Ed Vergara <evergara444@gmail.com> - 3^20211027git2eb03a7-3
- Patch gnome-shell-extension-argos to fix javascript error introduced in
  gnome-shell 42

* Wed Mar 16 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 3^20211027git2eb03a7-2
- Spec clean-up

* Mon Mar 14 2022 Ed Vergara <evergara444@gmail.com> - 3^20211027git2eb03a7-1
- Update metadata to support GNOME 42

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3-8.20211027git2eb03a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov  2 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-7.20211027git2eb03a7
- Update to support GNOME 41

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3-7.20200505git23718a8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 31 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-6.20200505git23718a8
- Stop using forge macros as they are buggy on EPEL8

* Fri Mar 26 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-5.20200505git23718a8
- Switch to mwilck's fork which has better support for newer GNOME versions
- Declare support for GNOME 3.38 and 40

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3-4.20200110.fcb4751
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3-3.20200110.fcb4751
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 28 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.2.20200110.fcb4751
- add URLs to pull requests for reference

* Thu Apr 23 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-1.20200110.fcb4751
- Initial Fedora package

## END: Generated by rpmautospec
